/***
* BSFFT1D is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
* 
* $LastChangedDate: 2016-05-20 13:54:36 +0200 (Fr, 20. Mai 2016) $
* $Author: melzer $
* $Revision: 6398 $
*
*/






#ifndef SRC_SPARSEDFT1D_H_
#define SRC_SPARSEDFT1D_H_

#include <iostream>
#include <vector>
#include <math.h>
#include <complex>
#include <armadillo>

using namespace arma;

using namespace std;


typedef complex<double> dcomplex;
typedef Col<dcomplex> veccomplex;
typedef Mat<dcomplex> matcomplex;
#define I dcomplex(0.0,1.0)

void sparseDFT1D(veccomplex *f, vec *MX, vec *MOmega,veccomplex *fhat, unsigned int N);





#endif /* SRC_SPARSEDFT1D_H_ */
